dmidecode (3.0-3) unstable; urgency=medium

  * Rename patches.
  * Add recommended patches from upstream (Closes: #824180):
    - debian/patches/0110-nosysfs.patch
    - debian/patches/0115-no_smbios_DMI_entry_point.patch
    - debian/patches/0120-return_actual_data_size.patch
    - debian/patches/0125-use_read_file_to_read_DMI_table_from_sysfs.patch
    - debian/patches/0130-use_DWORD_for_table_max_size.patch
    - debian/patches/0135-hide_fixup_msg.patch
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-* to secure URIs.
  * debian/copyright:
    - Add year 2016.
    - Add new upstream author Xie XiuQi <xiexiuqi@huawei.com>.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 15 May 2016 18:33:09 +0200

dmidecode (3.0-2) unstable; urgency=medium

  * New debian/patches/05-dmidecode-avoid-sigbus.patch (Closes: #796963):
    - Avoid SIGBUS on mmap failure

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 01 Oct 2015 10:01:04 +0200

dmidecode (3.0-1) unstable; urgency=medium

  * Correct typo at debian/changelog.
  * New upstream release.
    - Refresh patches:
      + debian/patches/02-hurd.patch
      + debian/patches/03-build.patch
    - Remove applied patches:
      + debian/patches/04-manpage-hyphen.patch
      + debian/patches/05-supported-smbios-ver.patch
  * debian/watch:
    - Add opts for signing key.
    - Force upload as xz archive.
  * New debian/upstream/signing-key.pgp.
  * New debian/source/include-binaries:
    - Add debian/upstream/signing-key.pgp.
  * New debian/upstream/metadata:
    - Add some DEP-12 upstream metadata.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 29 Sep 2015 05:42:43 +0200

dmidecode (2.12-4) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add arm64 to Architecture (Closes: #767965 ).
    - Remove unwanted debian/source/options.
    - Change Vcs-* to new cgit based repository viewer.
  * debian/copyright:
    - Add year 2015.
  * debian/rules:
    - Remove override_dh_builddeb because compression xz is now standard.
  * debian/patches/05-supported-smbios-ver.patch:
    - Add description.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 27 Apr 2015 12:05:44 +0200

dmidecode (2.12-3) unstable; urgency=medium

  * debian/control
    - bump Standards-Version to 3.9.5
    - add Vcs-*
  * New Maintainer ( Closes: #748486)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 19 May 2014 18:01:43 +0200

dmidecode (2.12-2) unstable; urgency=low

  * Also build for armhf (Closes: #715139).

 -- Luk Claes <luk@debian.org>  Thu, 15 Aug 2013 11:24:31 +0200

dmidecode (2.12-1) unstable; urgency=low

  * New upstream version.
  * Add watch file.
  * Add upstream patch to kill warnings (Closes: #706004).

 -- Luk Claes <luk@debian.org>  Tue, 07 May 2013 08:52:36 +0200

dmidecode (2.11+20120326-3) unstable; urgency=low

  * Take over maintenance with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Sun, 10 Mar 2013 21:55:43 +0100

dmidecode (2.11+20120326-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 04:59:24 +0200

dmidecode (2.11+20120326-1) unstable; urgency=low

  * Merging upstream version 2.11+20120326.
  * Removing chassis-type.patch, included upstream.
  * Removing type16-fix.patch, including upstream.
  * Removing smbios-271.patch, included upstream.
  * Rediffing manpage-hyphen.patch.
  * Renumbering patches.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 26 Jun 2012 01:07:02 +0200

dmidecode (2.11-9) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 13:29:25 +0200

dmidecode (2.11-8) unstable; urgency=low

  * Using package type instead of custom field for udeb package.
  * Adding patch to escape hypens in manpage.
  * Also passing cppflags to make (Closes: #655891).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 12:36:27 +0200

dmidecode (2.11-7) unstable; urgency=low

  * Updating compression handling for udeb with newer debhelper.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 08:00:01 +0200

dmidecode (2.11-6) unstable; urgency=low

  * Also passing ldflags to configure to enable all hardening build
    flags (Closes: #655891).
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 09:23:37 +0000

dmidecode (2.11-5) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to debhelper version 9.
  * Adding patch to avoid overwriting build environment rather than to
    just extend it.
  * Simplifying CFLAGS handing in rules.
  * Enabling hardening build options (Closes: #655891).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 21 Jan 2012 11:16:31 +0100

dmidecode (2.11-4) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Adding patch from Jean Delvare <khali@linux-fr.org> to fix boundary
    checks of memory array location codes (DMI type 16).
  * Adding patch from Jean Delvare <khali@linux-fr.org> to update to
    support SMBIOS specification version 2.7.1.
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 28 Oct 2011 21:54:37 +0200

dmidecode (2.11-3) unstable; urgency=low

  * Adding patch from Svante Signell <svante.signell@telia.com> to
    enable build of all targets on GNU/Hurd (Closes: #643649).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Sep 2011 13:03:50 +0200

dmidecode (2.11-2) unstable; urgency=low

  * Adding patch from Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
    to correctly decode the chassis-type (Closes: #637028).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Sep 2011 06:42:29 +0200

dmidecode (2.11-1) unstable; urgency=low

  * Taking over package from Petter with thanks for his past work on the
    package.
  * Merging upstream version 2.11 (Closes: #531843, #639169).
  * Removing useless whitespaces at EOL and EOF.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Adding homepage field.
  * Switching to source format 3.0 (quilt).
  * Removing pre-squeeze conflict against lm-sensors.
  * Using architecture patterns (Closes: #480571).
  * Sorting depends.
  * Adding misc-depends to udeb.
  * Removing watch file.
  * Rewriting package descriptions.
  * Rewriting copyright file in machine-interpretable format.
  * Prefixing debhelper files with package name.
  * Adding authors file to docs.
  * Minimizing rules file.
  * Sorting fields in control.
  * Removing unused debhelper dirs files.
  * Adding debhelper install files.
  * Avoid installing readme file, no additional useful content.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 27 Sep 2011 21:23:46 +0200

dmidecode (2.9-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly set package type for the udeb. Allows to simplify debian/rules
    and ensures a correct dependency on libc6-udeb. Closes: #562014.
  * Update debhelper compat to version 6.
  * Don't ignore errors during 'make clean'.

 -- Frans Pop <fjp@debian.org>  Tue, 22 Dec 2009 05:13:24 +0100

dmidecode (2.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-amd64 by adding it to the list of supported
    architectures for the second package (Closes: #493385). Thanks to
    Petr Salinger.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 30 Jun 2009 01:49:22 +0200

dmidecode (2.9-1) unstable; urgency=low

  * New upstream release (Closes: #413747).
   - Drop patch 30_upstream_20060601 included upstream.
   - Reintroduce -ansi and extend 20_ansi_c.dpatch to make the source
     ANSI C compliant again. (Closes: #406031)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 May 2007 11:33:24 +0200

dmidecode (2.8-4) unstable; urgency=low

  * Update CFLAGS line, drop -ansi to avoid build failure on
    ia64 (Closes: #406031), and add  -Winline -Wundef to
    match the upstream makefile.  Thanks to Dann Frazier for the clue.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  9 Jan 2007 09:11:26 +0100

dmidecode (2.8-3) unstable; urgency=low

  * New patch 30_upstream_20060601 from upstream CVS.
    - Detect EFI support at run time, to work properly on x86-based
      Mac (Closes: #375997)
    - Avoids unaligned memory access on ia64 and other archs.  (Closes: #398473)
  * Drop the patch to remove the product name lookup table from vpddecode,
    to avoid user visible changes this late in the debian release.
  * Drop patch to fix typo in Chassis height, to avoid user visible change.
  * Update standards-version from 2.6.2 to 2.7.2.  No change needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  7 Jan 2007 20:07:42 +0100

dmidecode (2.8-2) unstable; urgency=low

  * Add kfreebsd-amd64 to the architecture list.  It is claimed to
    work. (Closes: #355454)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 Mar 2006 22:44:20 +0200

dmidecode (2.8-1) unstable; urgency=low

  * New upstream release.
  * Increased debhelper compat level from 3 to 4.
  * Add ${misc:Depends} as a dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Feb 2006 21:52:51 +0100

dmidecode (2.7-2) unstable; urgency=low

  * Change priority for dmidecode from optional to important to
    match override file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Aug 2005 23:39:08 +0200

dmidecode (2.7-1) unstable; urgency=low

  * New upstream release.
    - Include new command line interface making it easier for scripts
      to extract the values they want.
    - Default output format is slightly changed.  This might break existing
      scripts, which should use the new command line options instead.
    - Added supprt for more products in vpddecode.
  * Remove David Z. Maze as uploader on request from Jeroen van
    Wolffelaar.  David is giving up package maintainence.
  * Removing 30_upstream_20050605 now included in release 2.7.
  * Updated Standards-Version to 3.6.2.  No changes.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Aug 2005 23:20:14 +0200

dmidecode (2.6-2) unstable; urgency=low

  * Add new archs kfreebsd-i386 knetbsd-i386. (Closes: #303511)
  * Add 30_upstream_20050605.dpatch to get the latest changes
    from upstream CVS.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  5 Jun 2005 13:51:55 +0200

dmidecode (2.6-1) unstable; urgency=low

  * New Upstream version 2.6.
    - Fixes signed issue.  Dropping obsolete 10_highmem.dpatch.
  * Updated build rules.  Removed -DUSE_MMAP from CFLAGS, as this define is
    in config.h now.
  * Update the list of compile flags in the rules tile to match the
    ones used by upstream.
  * Add 20_ansi_c.dpatch to get code to compile using -ansi.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  3 Mar 2005 21:24:37 +0100

dmidecode (2.5-2) unstable; urgency=low

  * Fix signed/unsigned issue making dmidecode fail on machines with
    lots of ram.  New patch 10_highmem.dpatch.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Feb 2005 22:55:58 +0100

dmidecode (2.5-1) unstable; urgency=low

  * New upstream version 2.5.
    - Obsoletes 10_from_upstream_20040716.dpatch.  Removed.
    - Changes in 20_typo_main.dpatch is now in upstream tarball.  Removed.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Nov 2004 10:32:13 +0100

dmidecode (2.4-3) unstable; urgency=low

  * Patch main() to avoid compile failure. (Closes: #261322)
  * Add some compiler flags to get more warnings.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Jul 2004 08:51:16 +0200

dmidecode (2.4-2) unstable; urgency=low

  * Add amd64 as a build architecture. (Closes: #252318)
  * Add patch 10_from_upstream_20040716.dpatch fetched from
    upstream CVS.  Removed patch 10_install_rules.dpatch now included
    in upstream CVS.
  * Build dmidecode-udeb.  Not using debhelper udeb support to make
    sure the package is still buildable in Woody.  Stole some code
    from discover1 to make sure the udeb is really an
    udeb.  (Closes: #259265)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 20 Jul 2004 09:56:28 +0200

dmidecode (2.4-1) unstable; urgency=low

  * New upstream version 2.4.
    - Includes manual pages. (Closes: #221681)
  * Start using dpatch instead of home-grown patching system.  Add
    build dependency on dpatch.  Move local changes into
    10-enable-ia64.dpatch.
  * Add debian/watch to make it easier to discover new versions
    of the source.
  * Get rid of lintian warnings.
  * Changed to use latest standard version (3.6.1.0).  No modifications
    needed.
  * Remove 10-enable-ia64.dpatch.  It is no longer needed, as ia64
    builds are detected at automatically compile time now.
  * New 10_install_rules.dpatch making the install rules easier to
    override, making sure the manual pages are installed in the
    correct location.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Mar 2004 23:49:07 +0100

dmidecode (2.3-5) unstable; urgency=low

  * Move debian specific patches into debian/patches/, and apply
    them at build time.
  * Drop useless BIGENDIAN patch, as this program is untested
    on big endian machines.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  2 Dec 2003 23:53:19 +0100

dmidecode (2.3-4) unstable; urgency=low

  * Add support for ia64.  Patch from Dann Frazier. (Closes: #221782).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 Nov 2003 11:30:39 +0100

dmidecode (2.3-3) unstable; urgency=low

  * Conflict with lm-sensors << 2.8.1-2, not <= 2.8.1-2.
    (Closes: #221071).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Nov 2003 09:19:29 +0100

dmidecode (2.3-2) unstable; urgency=low

  * Remember to include the upstream README in the binary package.
  * Add David Z. Maze as uploader and co-maintainer.
  * Add conflict on lm-sensors (<= 2.8.1-2), as the current and
    previous versions of lm-sensors contained an old version of
    dmidecode.  The next version will depend on dmidecode instead.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Nov 2003 09:55:25 +0100

dmidecode (2.3-1) unstable; urgency=low

  * Initial Release. (Closes: #169842)
  * Limit arch to i386 for now.  I'm not sure if other archs
    can use these tools.
  * Upstream is missing manual pages.  Patches are welcome. :)
  * Use <endian.h> to detect if BIGENDIAN should be defined.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  9 Nov 2003 09:54:14 +0100
